| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PersistencySvc::ServiceEntry Class Reference

`#include <PersistencySvc.h>`

Collaboration diagram for PersistencySvc::ServiceEntry:

[legend]
List of all members.

## Detailed Description

Definition at line 61 of file PersistencySvc.h.

## Public Member Functions
| ServiceEntry (long type, IService *svc, IConversionSvc *cnv, IAddressCreator *cr)
| ServiceEntry (const ServiceEntry &copy)
virtual | ~ServiceEntry ()
IService * | service () const
IConversionSvc * | conversionSvc () const
IAddressCreator * | addrCreator () const
long | svcType () const
## Private Attributes
long | m_serviceType
IService * | m_service
IConversionSvc * | m_cnvService
IAddressCreator * | m_addrCreator

## Constructor & Destructor Documentation

PersistencySvc::ServiceEntry::ServiceEntry | ( | long | type,
|  | IService * | svc,
|  | IConversionSvc * | cnv,
|  | IAddressCreator * | cr |
| ) |  |  | `[inline]`

Definition at line 67 of file PersistencySvc.h.

References m_addrCreator, m_cnvService, m_service, and m_serviceType.

    00070                                         {
    00071       m_serviceType  = type;
    00072       m_addrCreator  = cr;
    00073       m_cnvService   = cnv;
    00074       m_service      = svc;
    00075     }

PersistencySvc::ServiceEntry::ServiceEntry | ( | const ServiceEntry & | copy | ) | `[inline]`

Definition at line 76 of file PersistencySvc.h.

References m_addrCreator, m_cnvService, m_service, and m_serviceType.

    00076                                             {
    00077       m_serviceType  = copy.m_serviceType;
    00078       m_addrCreator  = copy.m_addrCreator;
    00079       m_cnvService   = copy.m_cnvService;
    00080       m_service      = copy.m_service;
    00081     }

virtual PersistencySvc::ServiceEntry::~ServiceEntry | ( |  | ) | `[inline, virtual]`

Definition at line 82 of file PersistencySvc.h.

    00082                              {
    00083     }

## Member Function Documentation

IService* PersistencySvc::ServiceEntry::service | ( |  | ) | const`[inline]`

Definition at line 84 of file PersistencySvc.h.

References m_service.

    00084                                             {
    00085       return m_service;
    00086     }

IConversionSvc* PersistencySvc::ServiceEntry::conversionSvc | ( |  | ) | const`[inline]`

Definition at line 87 of file PersistencySvc.h.

References m_cnvService.

    00087                                                   {
    00088       return m_cnvService;
    00089     }

IAddressCreator* PersistencySvc::ServiceEntry::addrCreator | ( |  | ) | const`[inline]`

Definition at line 90 of file PersistencySvc.h.

References m_addrCreator.

    00090                                                 {
    00091       return m_addrCreator;
    00092     }

long PersistencySvc::ServiceEntry::svcType | ( |  | ) | const`[inline]`

Definition at line 93 of file PersistencySvc.h.

References m_serviceType.

    00093                           {
    00094       return m_serviceType;
    00095     }

## Member Data Documentation

long PersistencySvc::ServiceEntry::m_serviceType`[private]`

Definition at line 62 of file PersistencySvc.h.

Referenced by ServiceEntry(), and svcType().

IService* PersistencySvc::ServiceEntry::m_service`[private]`

Definition at line 63 of file PersistencySvc.h.

Referenced by service(), and ServiceEntry().

IConversionSvc* PersistencySvc::ServiceEntry::m_cnvService`[private]`

Definition at line 64 of file PersistencySvc.h.

Referenced by conversionSvc(), and ServiceEntry().

IAddressCreator* PersistencySvc::ServiceEntry::m_addrCreator`[private]`

Definition at line 65 of file PersistencySvc.h.

Referenced by addrCreator(), and ServiceEntry().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/PersistencySvc/PersistencySvc.h